#include <stdio.h>
int main (){
  int i,j,n;
  scanf("%d",&n);
  if(n<=0){
    printf("-1\n");
    return 1;
  }
  for(i=0;i<n;i++){
    for(j=1;j<n-i;j++)
      printf(" ");
    for(j=0;j<=2*i;j++){
      if(j%2==0)
	printf("*");
      else
	printf("A");
    }
    printf("\n");
  }
  return 0;
}
